using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class RequestAgvCallback
    {
        public string reqCode { get; set; } = Guid.NewGuid().ToString();
        public string taskCode { get; set; }

        public string currentPositionCode { get; set; }
        public string method { get; set; }
        public string robotCode { get; set; }
        public string reqTime { get; set; } = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");
        public string data { get; set; } = "5205";

        public RequestAgvCallback()
        {
            var code = Function.AppSetting.TryGetValue<string>("FactoryCode");
            if (!string.IsNullOrWhiteSpace(code))
            {
                data = code;
            }
        }
    }
}
